import { ClientInterface } from './interfaces';
import { Drupal } from './Drupal';
interface DrupalAuthUser {
    uid: string;
    roles: string[];
    name: string;
}
interface DrupalAuthStore {
    csrfToken?: string;
    logoutToken?: string;
    currentUser?: DrupalAuthUser;
}
export declare class DrupalAuth {
    drupal: Drupal;
    client: ClientInterface;
    store: DrupalAuthStore;
    constructor(drupal: Drupal);
    refreshUserSession(): Promise<any>;
    getSessionToken(): Promise<any>;
    login(name: string, pass: string): Promise<any>;
    loginStatus(): Promise<boolean>;
    forcedLogout(): Promise<boolean>;
    logout(): Promise<any>;
    passwordResetByUserName(name: string): Promise<any>;
    passwordResetByMail(mail: string): Promise<any>;
    register(name: string, mail: string): Promise<any>;
}
export {};
